require 'jiraService.rb'
require 'jiraServiceMappingRegistry.rb'
require 'soap/rpc/driver'

module Jira4R::V2

class JiraSoapService < ::SOAP::RPC::Driver
  DefaultEndpointUrl = "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2"
  NsSoapRpcJiraAtlassianCom = "http://soap.rpc.jira.atlassian.com"

  Methods = [
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getComment"),
      "",
      "getComment",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPLong"]],
        ["retval", "getCommentReturn", ["Jira4R::V2::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createGroup"),
      "",
      "createGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["Jira4R::V2::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]],
        ["retval", "createGroupReturn", ["Jira4R::V2::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getUser"),
      "",
      "getUser",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getUserReturn", ["Jira4R::V2::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getGroup"),
      "",
      "getGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getGroupReturn", ["Jira4R::V2::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "login"),
      "",
      "login",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "loginReturn", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getServerInfo"),
      "",
      "getServerInfo",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getServerInfoReturn", ["Jira4R::V2::RemoteServerInfo", "http://beans.soap.rpc.jira.atlassian.com", "RemoteServerInfo"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "logout"),
      "",
      "logout",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "logoutReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssue"),
      "",
      "getIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssueReturn", ["Jira4R::V2::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getComponents"),
      "",
      "getComponents",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getComponentsReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteComponent", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteComponent"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createUser"),
      "",
      "createUser",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["::SOAP::SOAPString"]],
        ["in", "in4", ["::SOAP::SOAPString"]],
        ["retval", "createUserReturn", ["Jira4R::V2::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createIssue"),
      "",
      "createIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]],
        ["retval", "createIssueReturn", ["Jira4R::V2::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAvailableActions"),
      "",
      "getAvailableActions",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getAvailableActionsReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteNamedObject", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteNamedObject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjects"),
      "",
      "getProjects",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getProjectsReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteProject", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateIssue"),
      "",
      "updateIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["Jira4R::V2::ArrayOf_tns1_RemoteFieldValue", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteFieldValue"]],
        ["retval", "updateIssueReturn", ["Jira4R::V2::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getConfiguration"),
      "",
      "getConfiguration",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getConfigurationReturn", ["Jira4R::V2::RemoteConfiguration", "http://beans.soap.rpc.jira.atlassian.com", "RemoteConfiguration"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateProject"),
      "",
      "updateProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["retval", "updateProjectReturn", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectByKey"),
      "",
      "getProjectByKey",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getProjectByKeyReturn", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getPriorities"),
      "",
      "getPriorities",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getPrioritiesReturn", ["Jira4R::V2::ArrayOf_tns1_RemotePriority", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemotePriority"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getResolutions"),
      "",
      "getResolutions",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getResolutionsReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteResolution", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteResolution"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssueTypes"),
      "",
      "getIssueTypes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getIssueTypesReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteIssueType", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssueType"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getStatuses"),
      "",
      "getStatuses",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getStatusesReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteStatus", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteStatus"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSubTaskIssueTypes"),
      "",
      "getSubTaskIssueTypes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getSubTaskIssueTypesReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteIssueType", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssueType"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectRoles"),
      "",
      "getProjectRoles",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getProjectRolesReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteProjectRole", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteProjectRole"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectRole"),
      "",
      "getProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPLong"]],
        ["retval", "getProjectRoleReturn", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectRoleActors"),
      "",
      "getProjectRoleActors",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in2", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["retval", "getProjectRoleActorsReturn", ["Jira4R::V2::RemoteProjectRoleActors", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRoleActors"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getDefaultRoleActors"),
      "",
      "getDefaultRoleActors",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["retval", "getDefaultRoleActorsReturn", ["Jira4R::V2::RemoteRoleActors", "http://beans.soap.rpc.jira.atlassian.com", "RemoteRoleActors"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeAllRoleActorsByNameAndType"),
      "",
      "removeAllRoleActorsByNameAndType",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeAllRoleActorsByProject"),
      "",
      "removeAllRoleActorsByProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteProjectRole"),
      "",
      "deleteProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in2", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateProjectRole"),
      "",
      "updateProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createProjectRole"),
      "",
      "createProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["retval", "createProjectRoleReturn", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "isProjectRoleNameUnique"),
      "",
      "isProjectRoleNameUnique",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "isProjectRoleNameUniqueReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addActorsToProjectRole"),
      "",
      "addActorsToProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::ArrayOf_xsd_string", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in3", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["in", "in4", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeActorsFromProjectRole"),
      "",
      "removeActorsFromProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::ArrayOf_xsd_string", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in3", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["in", "in4", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addDefaultActorsToProjectRole"),
      "",
      "addDefaultActorsToProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::ArrayOf_xsd_string", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in3", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeDefaultActorsFromProjectRole"),
      "",
      "removeDefaultActorsFromProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::ArrayOf_xsd_string", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in3", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAssociatedNotificationSchemes"),
      "",
      "getAssociatedNotificationSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["retval", "getAssociatedNotificationSchemesReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteScheme", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAssociatedPermissionSchemes"),
      "",
      "getAssociatedPermissionSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["retval", "getAssociatedPermissionSchemesReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteScheme", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getCustomFields"),
      "",
      "getCustomFields",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getCustomFieldsReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteField", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteField"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSavedFilters"),
      "",
      "getSavedFilters",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getSavedFiltersReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteFilter", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteFilter"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getComments"),
      "",
      "getComments",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getCommentsReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteComment", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteComment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "archiveVersion"),
      "",
      "archiveVersion",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getVersions"),
      "",
      "getVersions",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getVersionsReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteVersion", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteVersion"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createProject"),
      "",
      "createProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["::SOAP::SOAPString"]],
        ["in", "in4", ["::SOAP::SOAPString"]],
        ["in", "in5", ["::SOAP::SOAPString"]],
        ["in", "in6", ["Jira4R::V2::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]],
        ["in", "in7", ["Jira4R::V2::RemoteScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemoteScheme"]],
        ["in", "in8", ["Jira4R::V2::RemoteScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemoteScheme"]],
        ["retval", "createProjectReturn", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addComment"),
      "",
      "addComment",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["Jira4R::V2::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getFieldsForEdit"),
      "",
      "getFieldsForEdit",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getFieldsForEditReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteField", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteField"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssueTypesForProject"),
      "",
      "getIssueTypesForProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssueTypesForProjectReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteIssueType", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssueType"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSubTaskIssueTypesForProject"),
      "",
      "getSubTaskIssueTypesForProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getSubTaskIssueTypesForProjectReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteIssueType", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssueType"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addUserToGroup"),
      "",
      "addUserToGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]],
        ["in", "in2", ["Jira4R::V2::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeUserFromGroup"),
      "",
      "removeUserFromGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]],
        ["in", "in2", ["Jira4R::V2::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectById"),
      "",
      "getProjectById",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPLong"]],
        ["retval", "getProjectByIdReturn", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteProject"),
      "",
      "deleteProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "releaseVersion"),
      "",
      "releaseVersion",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["Jira4R::V2::RemoteVersion", "http://beans.soap.rpc.jira.atlassian.com", "RemoteVersion"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteIssue"),
      "",
      "deleteIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addAttachmentsToIssue"),
      "",
      "addAttachmentsToIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["Jira4R::V2::ArrayOf_xsd_string", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in3", ["Jira4R::V2::ArrayOf_xsd_base64Binary", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_base64Binary"]],
        ["retval", "addAttachmentsToIssueReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAttachmentsFromIssue"),
      "",
      "getAttachmentsFromIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getAttachmentsFromIssueReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteAttachment", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteAttachment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "hasPermissionToEditComment"),
      "",
      "hasPermissionToEditComment",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]],
        ["retval", "hasPermissionToEditCommentReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "editComment"),
      "",
      "editComment",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]],
        ["retval", "editCommentReturn", ["Jira4R::V2::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getFieldsForAction"),
      "",
      "getFieldsForAction",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["retval", "getFieldsForActionReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteField", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteField"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "progressWorkflowAction"),
      "",
      "progressWorkflowAction",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["Jira4R::V2::ArrayOf_tns1_RemoteFieldValue", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteFieldValue"]],
        ["retval", "progressWorkflowActionReturn", ["Jira4R::V2::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssueById"),
      "",
      "getIssueById",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssueByIdReturn", ["Jira4R::V2::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addWorklogWithNewRemainingEstimate"),
      "",
      "addWorklogWithNewRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["Jira4R::V2::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]],
        ["in", "in3", ["::SOAP::SOAPString"]],
        ["retval", "addWorklogWithNewRemainingEstimateReturn", ["Jira4R::V2::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addWorklogAndAutoAdjustRemainingEstimate"),
      "",
      "addWorklogAndAutoAdjustRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["Jira4R::V2::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]],
        ["retval", "addWorklogAndAutoAdjustRemainingEstimateReturn", ["Jira4R::V2::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addWorklogAndRetainRemainingEstimate"),
      "",
      "addWorklogAndRetainRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["Jira4R::V2::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]],
        ["retval", "addWorklogAndRetainRemainingEstimateReturn", ["Jira4R::V2::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteWorklogWithNewRemainingEstimate"),
      "",
      "deleteWorklogWithNewRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteWorklogAndAutoAdjustRemainingEstimate"),
      "",
      "deleteWorklogAndAutoAdjustRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteWorklogAndRetainRemainingEstimate"),
      "",
      "deleteWorklogAndRetainRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateWorklogWithNewRemainingEstimate"),
      "",
      "updateWorklogWithNewRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]],
        ["in", "in2", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateWorklogAndAutoAdjustRemainingEstimate"),
      "",
      "updateWorklogAndAutoAdjustRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateWorklogAndRetainRemainingEstimate"),
      "",
      "updateWorklogAndRetainRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getWorklogs"),
      "",
      "getWorklogs",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getWorklogsReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteWorklog", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "hasPermissionToCreateWorklog"),
      "",
      "hasPermissionToCreateWorklog",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "hasPermissionToCreateWorklogReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "hasPermissionToDeleteWorklog"),
      "",
      "hasPermissionToDeleteWorklog",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "hasPermissionToDeleteWorklogReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "hasPermissionToUpdateWorklog"),
      "",
      "hasPermissionToUpdateWorklog",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "hasPermissionToUpdateWorklogReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getNotificationSchemes"),
      "",
      "getNotificationSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getNotificationSchemesReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteScheme", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getPermissionSchemes"),
      "",
      "getPermissionSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getPermissionSchemesReturn", ["Jira4R::V2::ArrayOf_tns1_RemotePermissionScheme", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemotePermissionScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createPermissionScheme"),
      "",
      "createPermissionScheme",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["retval", "createPermissionSchemeReturn", ["Jira4R::V2::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deletePermissionScheme"),
      "",
      "deletePermissionScheme",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addPermissionTo"),
      "",
      "addPermissionTo",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]],
        ["in", "in2", ["Jira4R::V2::RemotePermission", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermission"]],
        ["in", "in3", ["Jira4R::V2::RemoteEntity", "http://beans.soap.rpc.jira.atlassian.com", "RemoteEntity"]],
        ["retval", "addPermissionToReturn", ["Jira4R::V2::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deletePermissionFrom"),
      "",
      "deletePermissionFrom",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]],
        ["in", "in2", ["Jira4R::V2::RemotePermission", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermission"]],
        ["in", "in3", ["Jira4R::V2::RemoteEntity", "http://beans.soap.rpc.jira.atlassian.com", "RemoteEntity"]],
        ["retval", "deletePermissionFromReturn", ["Jira4R::V2::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAllPermissions"),
      "",
      "getAllPermissions",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getAllPermissionsReturn", ["Jira4R::V2::ArrayOf_tns1_RemotePermission", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemotePermission"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssueCountForFilter"),
      "",
      "getIssueCountForFilter",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssueCountForFilterReturn", ["::SOAP::SOAPLong"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssuesFromTextSearch"),
      "",
      "getIssuesFromTextSearch",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssuesFromTextSearchReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteIssue", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssuesFromTextSearchWithProject"),
      "",
      "getIssuesFromTextSearchWithProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::ArrayOf_xsd_string", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["::SOAP::SOAPInt"]],
        ["retval", "getIssuesFromTextSearchWithProjectReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteIssue", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteUser"),
      "",
      "deleteUser",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateGroup"),
      "",
      "updateGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]],
        ["retval", "updateGroupReturn", ["Jira4R::V2::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteGroup"),
      "",
      "deleteGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "refreshCustomFields"),
      "",
      "refreshCustomFields",
      [ ["in", "in0", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectsNoSchemes"),
      "",
      "getProjectsNoSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getProjectsNoSchemesReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteProject", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addVersion"),
      "",
      "addVersion",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["Jira4R::V2::RemoteVersion", "http://beans.soap.rpc.jira.atlassian.com", "RemoteVersion"]],
        ["retval", "addVersionReturn", ["Jira4R::V2::RemoteVersion", "http://beans.soap.rpc.jira.atlassian.com", "RemoteVersion"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createProjectFromObject"),
      "",
      "createProjectFromObject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["retval", "createProjectFromObjectReturn", ["Jira4R::V2::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteValidationException_"=>{:use=>"encoded", :name=>"RemoteValidationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSecuritySchemes"),
      "",
      "getSecuritySchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getSecuritySchemesReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteScheme", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteAuthenticationException_"=>{:use=>"encoded", :name=>"RemoteAuthenticationException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemotePermissionException_"=>{:use=>"encoded", :name=>"RemotePermissionException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}, "Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssuesFromFilter"),
      "",
      "getIssuesFromFilter",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssuesFromFilterReturn", ["Jira4R::V2::ArrayOf_tns1_RemoteIssue", "http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"Jira4R::V2::RemoteException_"=>{:use=>"encoded", :name=>"RemoteException", :ns=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :namespace=>"http://jira.atlassian.com/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/"}} }
    ]
  ]

  def initialize(endpoint_url = nil)
    endpoint_url ||= DefaultEndpointUrl
    super(endpoint_url, nil)
    self.mapping_registry = DefaultMappingRegistry::EncodedRegistry
    self.literal_mapping_registry = DefaultMappingRegistry::LiteralRegistry
    init_methods
  end

private

  def init_methods
    Methods.each do |definitions|
      opt = definitions.last
      if opt[:request_style] == :document
        add_document_operation(*definitions)
      else
        add_rpc_operation(*definitions)
        qname = definitions[0]
        name = definitions[2]
        if qname.name != name and qname.name.capitalize == name.capitalize
          ::SOAP::Mapping.define_singleton_method(self, qname.name) do |*arg|
            __send__(name, *arg)
          end
        end
      end
    end
  end
end

end
